# Get an invoice's details

Get the details of a specific invoice.

Endpoint: GET /api/cl/invoices/{id}/
Version: 1.223.0
Security: basicAuth

## Path parameters:

  - `id` (string, required)
    The invoice.id you want to get detailed information about.

## Query parameters:

  - `omit` (string)
    Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

  - `fields` (string)
    Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

## Response 200 fields (application/json):

  - `id` (string)
    Belvo's unique identifier for the current item.
    Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"

  - `link` (string,null)
    The link.id the data belongs to.
    Example: "30cb4806-6e00-48a4-91c9-ca55968576c8"

  - `created_at` (string)
    The ISO-8601 timestamp of when the data point was created in Belvo's database.
    Example: "2022-02-09T08:45:50.406032Z"

  - `collected_at` (string)
    The ISO-8601 timestamp when the data point was collected.
    Example: "2022-02-09T08:45:50.406032Z"

  - `total_amount` (number)
    The total amount of the invoice, including VAT and other taxes or charges.
    Example: 3272500.02

  - `net_amount` (number)
    The total invoice amount after VAT and other taxes.
    Example: 2750000.02

  - `vat_amount` (number)
    The total VAT amount of the invoice.
    Example: 522500.02

  - `currency` (string)
    The three-letter currency code (ISO-4217) of the invoice.
    Example: "CLP"

  - `issue_date` (string)
    The date that the invoice was issued, in YYYY-MM-DD format.
    Example: "2024-09-23"

  - `received_at` (string)
    The ISO-8601 timestamp of when the invoice was received.
    Example: "2024-09-02T15:23:47-03:00"

  - `acknowledged_at` (string)
    The ISO-8601 timestamp of when the invoice was acknowledged as received.
    Example: "2024-09-02T15:23:47-03:00"

  - `claim_date` (string,null)
    The date when a claim or dispute was raised about the invoice, in YYYY-MM-DD format.

  - `status` (string)
    The status of the invoice. Can be either:
  
  - REGISTERED
  - PENDING
  - REJECTED
  - CANCELLED
    Example: "REGISTERED"

  - `document_code` (integer)
    A code that indicates whether the document is a invoice, a credit or debit note, and so on.
    Example: 33

  - `category` (string)
    The category of the invoice, according to the institution.
    Example: "Del Giro"

  - `folio` (string)
    The institution's unique code for the invoice.
    Example: "23559723"

  - `sender_id` (string)
    The identification number of the sender. For SII Chile, this is the RUT.
    Example: "59324768-2"

  - `sender_name` (string)
    The registered name of the sender.
    Example: "Cafe del Sur"

  - `receiver_id` (string)
    The identification number of the receiver. For SII Chile, this is the RUT.
    Example: "82136549-6"

  - `receiver_name` (string)
    The registered name of the receiver.
    Example: "Alejandra Gonzalez"

  - `type` (string)
    Indicates whether the invoice is an INFLOW or OUTFLOW.
    Enum: "INFLOW", "OUTFLOW"

  - `purchase_invoice_details` (object,null)
    Details regarding the purchase invoice. If the invoice is a sales invoice (type = OUTFLOW), this field will return null.

  - `purchase_invoice_details.vat_refundable_amount` (number,null)
    The amount of VAT paid that is eligible to be claimed back as a tax credit.
    Example: 300.02

  - `purchase_invoice_details.vat_non_refundable_amount` (number,null)
    The amount of VAT paid that cannot be claimed back as a tax credit.
    Example: 20.02

  - `purchase_invoice_details.vat_non_refundable_code` (integer,null)
    A code that identifies the reason why the VAT is not recoverable.
    Example: 90

  - `purchase_invoice_details.net_amount_fixed_assets` (number,null)
    The net value of the purchased fixed assets.
    Example: 8000.02

  - `purchase_invoice_details.vat_fixed_assets` (number,null)
    The VAT value on the purchase of fixed assets.
    Example: 80.02

  - `purchase_invoice_details.vat_common_use` (number,null)
    The VAT that applies to purchases used for both taxable and non-taxable purposes.
    Example: 129.02

  - `purchase_invoice_details.tax_non_credit_amount` (number,null)
    The tax amount that cannot be claimed as a credit.
    Example: 5.02

  - `purchase_invoice_details.vat_non_withheld` (number,null)
    The VAT amount that was not withheld by the purchaser.
    Example: 8.02

  - `purchase_invoice_details.tax_exempt_amount` (number,null)
    The portion of the purchase that is exempt from VAT.
    Example: 33.02

  - `purchase_invoice_details.credit_or_debit_note_on_purchase` (boolean,null)
    Indicates whether the invoice is linked with a credit or debit note.

  - `purchase_invoice_details.tax_cigarettes_amount` (number,null)
    The total tax amount applied on cigarettes.
    Example: 50.02

  - `purchase_invoice_details.tax_cigar_amount` (number,null)
    The total tax amount applied on cigars.
    Example: 51.02

  - `purchase_invoice_details.tax_processed_tobacco_amount` (number,null)
    The total tax amount applied on processed tobacco.
    Example: 49.02

  - `purchase_invoice_details.additional_tax_amount` (number,null)
    The total tax amount of the additional tax.
    Example: 1005.02

  - `purchase_invoice_details.additional_tax_rate` (string,null)
    The tax rate of the additional tax.
    Example: "2.1"

  - `purchase_invoice_details.additional_tax_code` (integer,null)
    The tax code for the additional tax.
    Example: 50993

  - `sales_invoice_details` (object,null)
    Details regarding the sales invoice. If the invoice is a purchase invoice (type = INFLOW), this field will return null.

  - `sales_invoice_details.construction_sector_tax_credit` (number,null)
    The amount of tax credit applicable for construction companies.
    Example: 50000.02

  - `sales_invoice_details.tax_free_trade_zone_amount` (number,null)
    Tax applicable for transactions in free trade zones.
    Example: 38490.02

  - `sales_invoice_details.container_deposit_guarantee` (number,null)
    Refers to deposits or guarantees on containers, if applicable.
    Example: 0.02

  - `sales_invoice_details.is_free_of_charge` (boolean,null)
    Indicated whether or not this sale was made at no cost (for example, the invoice is for promotional material, periodic free-of-charge resupplies, and similar).

  - `sales_invoice_details.periodic_billing_type` (boolean,null)
    Marks if the invoice is for periodic services.

  - `sales_invoice_details.non_billable_amount` (number,null)
    The portion of the transaction that is not billable.
    Example: 40.02

  - `sales_invoice_details.total_amount_for_period` (number,null)
    The total amount for a specific period, often used for periodic billing.

  - `sales_invoice_details.domestic_transportation_amount` (number,null)
    The total amount spent on domestic transportation.
    Example: 67.02

  - `sales_invoice_details.international_transportation_amount` (number,null)
    The total amount spent on international transportation.
    Example: 56.02

  - `sales_invoice_details.branch_code` (integer,null)
    The code of the fiscal branch where the sales invoice was issued.
    Example: 76129014

  - `sales_invoice_details.tax_exempt_amount` (number,null)
    The portion of the sale that is exempt from VAT.
    Example: 4000.02

  - `sales_invoice_details.credit_or_debit_note_on_purchase` (boolean,null)
    Indicates whether the invoice is linked with a credit or debit note.

  - `sales_invoice_details.additional_tax_code` (integer,null)
    The tax code for the additional tax.
    Example: 50993

  - `sales_invoice_details.additional_tax_rate` (string,null)
    The tax rate of the additional tax.
    Example: "2.1"

  - `sales_invoice_details.additional_tax_amount` (number,null)
    The total tax amount of the additional tax.
    Example: 1005.02

  - `sales_invoice_details.vat_total_withheld` (number,null)
    The total VAT withheld.
    Example: 33.02

  - `sales_invoice_details.vat_partially_withheld` (number,null)
    The amount of VAT partially withheld.
    Example: 30.02

  - `sales_invoice_details.vat_non_withheld` (number,null)
    The amount of VAT that was not withheld.
    Example: 40.02

  - `sales_invoice_details.vat_sales` (number,null)
    The VAT amount corresponding to the seller's own sales.
    Example: 100.02

  - `sales_invoice_details.vat_third_party` (number,null)
    VAT amount related to third-party sales if acting as an intermediary.
    Example: 1000.02

  - `sales_invoice_details.vat_past_due` (number,null)
    VAT that is accounted for or paid after the due date.
    Example: 31.02

  - `sales_invoice_details.invoice_settlement_sender_id` (string,null)
    The RUT of the entity that issued the settlement for the invoice.
    Example: "55524768-7"

  - `sales_invoice_details.invoice_settlement_net_commission` (number,null)
    The net amount of commission in the invoice settlement.
    Example: 54.02

  - `sales_invoice_details.invoice_settlement_exempt_commission` (number,null)
    The portion of the commission in the invoice settlement that is exempt from tax.
    Example: 16.02

  - `sales_invoice_details.invoice_settlement_vat_commission` (number,null)
    VAT charged on the commission amount in the invoice settlement.
    Example: 78.02

  - `sales_invoice_details.reference_document_type` (string,null)
    Indicates the type of document that this invoice refers to or is linked with.

  - `sales_invoice_details.reference_document_folio` (string,null)
    The folio number of the document referred to.

  - `sales_invoice_details.foreign_recipient_id` (string,null)
    The identification number of a foreign individual.
    Example: "JANM-7820234"

  - `sales_invoice_details.foreign_recipient_nationality` (string,null)
    The nationality of the foreign individual.
    Example: "Peru"

  - `summary_invoice_details` (object)
    Details regarding the summary of BOLETA_ELECTRONICA or COMPROBANTE_PAGO invoices.

  - `summary_invoice_details.month` (string)
    The year and month of the invoices, in YYYY-MM format.
    Example: "2024-08"

  - `summary_invoice_details.updated_at` (string)
    The ISO-8601 timestamp of when the list of invoices was last updated.
    Example: "2024-09-02T15:23:47-03:00"

  - `summary_invoice_details.total_documents` (integer)
    The total number of invoices in the summary.
    Example: 23

  - `summary_invoice_details.tax_exempt_amount` (number)
    The total invoice value (from all invoices in the summary) that is exempt from VAT.
    Example: 4000.02

## Response 403 fields (application/json):

  - `code` (string)
    A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied.
    Example: "access_to_resource_denied"

  - `message` (string)
    A short description of the error. 


For access_to_resource_denied errors, the description is:
  
  - You don't have access to this resource..
    Example: "You don't have access to this resource."

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 404 fields (application/json):

  - `code` (string)
    A unique error code (not_found) that allows you to classify and handle the error programmatically.
    Example: "not_found"

  - `message` (string)
    A short description of the error.


For not_found errors, the description is:

  - Not found
    Example: "Not found"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 408 fields (application/json):

  - `code` (string)
    A unique error code (request_timeout) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors.
    Example: "request_timeout"

  - `message` (string)
    A short description of the error. 


For request_timeout errors, the description is:
  
  - The request timed out, you can retry asking for less data by changing your query parameters.
    Example: "The request timed out, you can retry asking for less data by changing your query parameters"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 500 fields (application/json):

  - `code` (string)
    A unique error code (unexpected_error) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors.
    Example: "unexpected_error"

  - `message` (string)
    A short description of the error. 


For unexpected_error errors, the description is:
  
  - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution.
    Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"


